package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProAuthorityControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProAuthorityDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProAuthoritySelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProAuthorityInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProAuthorityUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProAuthorityDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProAuthorityUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProAuthorityGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProAuthorityGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProAuthorityCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProAuthorityQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProAuthorityInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProAuthorityDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProAuthorityUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_name","auth_name");//角色名称
                params.put("auth_type","auth_type");//角色类型
                params.put("display","display");//是否显示
                params.put("note","note");//备注
                params.put("is_system_auth",0);//是否系统角色
                params.put("creator_id","creator_id");//创建用户
                params.put("parent_id","parent_id");//父节点Id


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProAuthorityForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProAuthority.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProAuthorityForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProAuthority.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProAuthorityForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"proauthority/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProAuthority.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
